Package: geb.navigator.event

## [Groovy] Class NavigatorEventListenerSupport

- geb.navigator.event.NavigatorEventListenerSupport

- All Implemented Interfaces and Traits:
    NavigatorEventListener

      class NavigatorEventListenerSupport
      extends Object
      implements NavigatorEventListener

  A No-op implementation of NavigatorEventListener. Useful as a base class for listener implementations which only want to be notified of a subset of navigator events.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NavigatorEventListenerSupport ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterClick(Browser browser, Navigator navigator)`
    `` | `void` | `afterSendKeys(Browser browser, Navigator navigator, Object value)`
    `` | `void` | `afterValueSet(Browser browser, Navigator navigator, Object value)`
    `` | `void` | `beforeClick(Browser browser, Navigator navigator)`
    `` | `void` | `beforeSendKeys(Browser browser, Navigator navigator, Object value)`
    `` | `void` | `beforeValueSet(Browser browser, Navigator navigator, Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### NavigatorEventListenerSupport()

  - ### Method Detail

    - #### @Override void afterClick(Browser browser, Navigator navigator)

    - #### @Override void afterSendKeys(Browser browser, Navigator navigator, Object value)

    - #### @Override void afterValueSet(Browser browser, Navigator navigator, Object value)

    - #### @Override void beforeClick(Browser browser, Navigator navigator)

    - #### @Override void beforeSendKeys(Browser browser, Navigator navigator, Object value)

    - #### @Override void beforeValueSet(Browser browser, Navigator navigator, Object value)